> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leapx-hub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Any Shoot - Standard Mode - Query Task

## Introduction

Query Any Shoot task status and result.

## Authentication

<ParamField header="Authorization" type="string" required>
  Bearer Token, e.g., `Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...`
  How to get: Obtain via the POST interface in the Authentication module at the top left, `https://docs.leapx-hub.com/en/leapx-lab-v4/endpoint/get-token`
</ParamField>

## Request Parameters

<ParamField query="taskId" type="string" required>
  Task ID
</ParamField>

### Example Code

<Tabs>
  <Tab title="cURL Example">
    ```bash theme={null}
    curl -X GET "https://leapx-hub.com/prod-api/nebula/v4/api/anyShootQuery?taskId=task-1234567890" \
      -H "Authorization: Bearer sk-xxxxxxxxxx"
    ```
  </Tab>

  <Tab title="Python Example">
    ```python theme={null}
    import requests

    url = "https://leapx-hub.com/prod-api/nebula/v4/api/anyShootQuery"
    headers = {
        "Authorization": "Bearer sk-xxxxxxxxxx"
    }
    params = {
        "taskId": "task-1234567890"
    }

    response = requests.get(url, headers=headers, params=params)
    print(response.json())
    ```
  </Tab>
</Tabs>

### Response Example

<ResponseExample>
  ```json theme={null}
  {
    "code": 200,
    "msg": "Operation successful",
    "data": {
      "status": "SUCCESS",
      "result": {
        "taskId": "task-1234567890",
        "images": [
          "https://example.com/image1.jpg",
          "https://example.com/image2.jpg"
        ]
      }
    }
  }
  ```
</ResponseExample>
